spring:
  config:
    import:
      - optional:file:${user.dir}/conf/tsi-comm-server.yml
  application:
    name: tsi-comm-server
  main:
    web-application-type: none

  datasource:
    mybatis:
      platform: mariadb
      driver-class-name: org.mariadb.jdbc.Driver
      username: cvim
      password: 44Klctest$$
      jpool-name: hikari-cp
      jmaximum-pool-size: 30
      jminimum-idle: 2

  data:
    mongodb:
      authentication-database: ssip
      username: ssip
      password: 44Klctest$$
      database: ssip

# Application Configure
application:
  thread-pool:
    pool-core: 1
  scheduling:
    pool-core: 10

  cvim-server:
    binding-addr:
    binding-port: 9091
    backlog: 0
    accept-threads: 0
    worker-threads: 0
    rcv-buf: 0
    snd-buf: 0
    reader-idle-time-seconds: 0
    writer-idle-time-seconds: 0
    all-idle-time-seconds: 0
    connect-timeout-seconds: 0
    max-connection: 10
    packet-workers: 0
    logging-workers: 0
    dbms-workers: 1

  kafka:
    producer:
      consumer-group-id: tsi-comm-server
      consumer-ack-config: 1
      multi-connect: false
      props:
      #  - request.timeout.ms: 100
      #  - max.block.ms: 100
      #  - transactional.id: tsi-comm-server-01
      #  - acks: 0
      #  - retries: 0
      #  - linger.ms: 1
      cvim-servers:
      node-servers:
      test-servers:
      enable-cvim: true
      enable-node: true
      enable-test: true

---
spring:
  config:
    activate:
      on-profile: seoul
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=Asia/Seoul

  data:
    mongodb:
      host: 172.24.0.40
      port: 27017

application:
  kafka:
    producer:
      bootstrap-servers: 172.24.0.30:9092,172.24.0.31:9093,172.24.0.32:9094

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://61.108.209.105:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=Asia/Seoul

  data:
    mongodb:
      host: 61.108.209.106
      port: 27017

application:
  kafka:
    producer:
      bootstrap-servers: 61.108.209.105:9093
